--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Repository this resource belongs to in the context of this collection or of the resource's class.
- !ruby/struct:SM::Flow::P 
  body: "@return [Repository]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the respository this resource belongs to, in the context of\n  a collection OR in the instance's Model's context\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Resource#repository
is_singleton: false
name: repository
params: ()
visibility: public
